Skip to main content

CreateBatchTransferTransfersRequest

Request body for adding or replacing transfers in an existing batch. Each item in transfers is added to the batch. When an item includes merchantRefNum that matches an existing transfer in the batch, that existing transfer is replaced; otherwise the item is added as a new transfer. Per-item currencyCode is optional when it matches the batch currency.

transfers object[]required

List of transfers to add or replace in the batch.

Possible values: <= 20

  • Array [
  • amountinteger<int64>required

    Transaction amount in minor units.

    Example: 1000
    currencyCodeCurrency (string)

    Currency alphabetic code as specified by ISO 4217

    Possible values: >= 3 characters and <= 3 characters

    Example: EUR
    recipient objectrequired

    Contains transfer recipient information. If used in CustomerTransferRequest context, the system tries to resolve email or mobile to customerId in the system.

    customerIdstring

    Wallet customer identifier.

    fullNamestring
    Example: Jon Doe
    emailstring<email>

    Possible values: <= 150 characters

    mobilestring

    Mobile number

    Possible values: <= 50 characters, Value must match regular expression ^\+\d+\s?\d{1,16}$

    Example: +12025550120
    merchantRefNumstring

    Merchant reference number associated with the transfer. Auto-generated if not provided.

    Possible values: <= 50 characters

    Example: 5040452805
  • ]
  • CreateBatchTransferTransfersRequest
    {
    "transfers": [
    {
    "amount": 1000,
    "currencyCode": "EUR",
    "recipient": {
    "customerId": "string",
    "fullName": "Jon Doe",
    "email": "user@example.com",
    "mobile": "+12025550120"
    },
    "merchantRefNum": "5040452805"
    }
    ]
    }